# Vue-cli Plugin HTML Replace

A simple plugin to replace HTML contents within templates that are generated by [vue-cli](https://github.com/vuejs/vue-cli).

### Getting started

:warning: Make sure you have [vue-cli 3.x](https://github.com/vuejs/vue-cli) installed:

```
vue -V
```

Navigate to your vue app folder and add the cli plugin:

```
vue add html-replace
```

### Basic usage

The plugin can be configured by defining `htmlReplace` via the `pluginOptions` in your `vue.config.js`:

```javascript
module.exports = {
    pluginOptions: {
        htmlReplace: {
            patterns: [
                {
                    pattern: "foo",
                    replacement: "bar"
                },{
                    pattern: /foo/g,
                    replacement: "bar"
                },{
                    pattern: /<title>(.*)<\/title>/,
                    replacement: (match, $1) => `<title>${$1} has been replaced.</title>`
                }
            ], 
            enable: (process.env.NODE_ENV === "production")
        }
    }
}
```

- __patterns__ `[object1[, object2[, ...[, objectN]]]] | object` Add some patterns and defines how to replace the match(es).
    - __pattern__ `string | RegExp` A RegExp or string. The match or matches are replaced with the `replacement` value.
    - __replacement__ `string | function` The string that replaces the substring specified by the specified `patter` parameter.
- __enable__ _optional_ `(true) | false` Enable/disable the plugin.